<template>
  <q-dialog v-model="computedShow">
    <q-card style="min-width: 25vw; max-width: 80vw; min-height: 50vh">
      <q-toolbar>
        <q-avatar>
          <img src="~assets/altair_logo.svg" />
        </q-avatar>

        <q-toolbar-title class="nunito">ForceCAST Studio</q-toolbar-title>

        <q-btn flat round dense icon="close" v-close-popup />
      </q-toolbar>

      <q-card-section class="column justify-center items-center">
        <q-img :fit="cover" src="~assets/altair_logo.svg" style="max-width: 300px" />
        <div class="column text-center nunito q-mt-lg">
          <span class="text-overline text-uppercase text-italic nunito">Control given form</span>
          <span>Made with <q-icon name="mdi-heart" class="heart" /> in Italy</span>
        </div>
        <div class="column text-center q-mt-xl">
          <span>© 2020–{{ new Date().getFullYear() }} ALTAIR Robotics Laboratory</span>
          <span>This program comes with absolutely no warranty.<br />See the MIT License for details.</span>
        </div>
      </q-card-section>
    </q-card>
  </q-dialog>
</template>

<script lang="ts">
import { defineComponent, computed } from 'vue';

export default defineComponent({
  emits: ['update:show'],
  props: {
    show: {
      type: Boolean,
      default: () => false,
    },
  },
  setup(props, { emit }) {
    const computedShow = computed({
      get: () => {
        return props.show;
      },
      set: (value: boolean) => {
        emit('update:show', value);
      },
    });

    return {
      computedShow,
    };
  },
});
</script>

<style lang="sass" scoped>

.heart
  color: #E90606
  margin: 0 3px
  animation: pound .35s infinite alternate
  -webkit-animation: pound .35s infinite alternate
@-webkit-keyframes pound
  to
    transform: scale(1.15)
@keyframes pound
  to
    transform: scale(1.15)
</style>
